Bug 106472 - Headless printing ignores macro
Summary: Headless printing ignores macro
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Commandline
  Show dependency treegraph
 
Reported: 2017-03-10 09:41 UTC by macau
Modified: 2019-10-24 02:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
file with macro (24.61 KB, application/vnd.oasis.opendocument.spreadsheet-template)
2017-06-09 14:15 UTC, macau
Details

Note You need to log in before you can comment on or make changes to this bug.
Description macau 2017-03-10 09:41:37 UTC
Description:
Macros in document wont apply when i try to print in headless mode via command line. When i open same document in graphical mode, all macro work fine in automatic mode. I tryed 4.1, 5.1.6, 5.2.3, 5.3.0 and apcahe openoffice 4.1 builds in different files and different os'ses (archlinux, centos6, ubuntu 15 lts). Security level in settings in low level.

Steps to Reproduce:
1.Create text document in writer
2.Write some macro
3.Open document via command line with property parameter
3.1 without print parameter: soffice -norestore -nofirststartwizard -nologo file.ott macro://./Standard.Module1.MakeTextStyle
3.2 with print parameter: soffice -norestore -nofirststartwizard -nologo -p file.ott macro://./Standard.Module1.MakeTextStyle

Actual Results:  
witout print parameter (-p) document opens fine, all macro applyed automatic.
with -p parameter document prints on default printer, but macro wont apply. 

Expected Results:
apply macro from document, render file and then print document via default printer.


Reproducible: Always

User Profile Reset: Yes

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux i686; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Xisco Faulí 2017-03-10 10:06:46 UTC
Hello macau,

Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 2 macau 2017-06-09 14:15:20 UTC
Created attachment 133928 [details]
file with macro

Htis file contains some macro. If i start them via terminal emulator without print key,  all work fine: "soffice /tmp/result.ots 'macro://./Standard.Module1.BuildReport()'"
But when i do same with "-p" key, document prints on default printer but without macro:
"soffice -p /tmp/result.ots 'macro://./Standard.Module1.BuildReport()'"
Comment 3 RickyAnderson 2018-09-27 07:30:20 UTC Comment hidden (spam)
Comment 4 Buovjaga 2018-10-23 17:48:15 UTC
Repro.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 9a373521d7a328197a4bf9abeb0a981b7acba896
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: threaded
Built on 19 October 2018
Comment 5 QA Administrators 2019-10-24 02:40:25 UTC
Dear macau,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug